#import <Cocoa/Cocoa.h>

@class QCView;
@class C2WPreferencesWindowController;
@interface C2WMainWindowController : NSObject {
	IBOutlet QCView *qcView;
	C2WPreferencesWindowController *preferencesWindowController;
	BOOL isCurrentlyUploading;
	NSTimer *uploadTimer;
	BOOL shouldStopUpload;
}

- (IBAction)startUpload:(id)sender;
- (IBAction)stopUpload:(id)sender;
- (void)uploadInThread:(id)param;
- (NSData *)currentImageDataWithCompressionFactor:(float)compressionFactor;
- (C2WPreferencesWindowController *)preferencesWindowController;
- (BOOL)isCurrentlyUploading;
- (void)setIsCurrentlyUploading:(BOOL)newUploadState;
- (NSTimer *)uploadTimer;
- (void)setUploadTimer:(NSTimer *)newUploadTimer;
- (void)handleUploadTimer:(NSTimer *)timer;
- (void)uploadDidFinish;
- (void)uploadWillBegin;
- (void)configureAndStartUploadThread;
- (BOOL)shouldStopUpload;
- (void)setShouldStopUpload:(BOOL)value;
- (IBAction)showPreferences:(id)sender;

@end
